Cancel order
POST https://{handle}.myshopline.com/admin/openapi/v20261201/orders/:id/cancel.json
handle : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is open001.myshopline.com , the store handle is open001 .Cancel order
Path Parameters
- id string requiredOrder numberExample:
"21050342939778451436179579"
Request Headers
- Content-Type string requiredThe field must be set to the fixed value
application/json; charset=utf-8. - Authorization string requiredThe access token for the API resource. Refer to App authorization to obtain the access token, and then pass the obtained token in the Bearer format.Example:
Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA
Request Body
- processed_at stringCancel the order actual timeExample:
2023-04-12T22:59:52+08:00 - refund_type stringRefund type:
-
OriginalPayment Refund: Refund by original payment method -
Manual: Manually mark refund
When the payment channel is Paypal, the default value is:OriginalPayment Refundif not passed. The default value for other payment channels is:Manual. -
- restock boolean"Will the inventory be rolled back?" true :roll back the inventory false or null : don’t roll back the inventoryExample:
true - amount doubleamountExample:
100 - cancel_reason stringcancelReasonExample:
" don ' t want to buy " - currency stringcurrencyExample:
"CNY" - email booleanSend mail or notExample:
true
Status Codes
- 200
- 401
- 429
For the complete list of codes and messages, see Http status code.
Response Headers
traceId
A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.
Response Body
orderobject
For order information, field descriptions and examples, please refer to the response result of the order listcheckout_id stringabandoned order idExample:2404785166526352972864currency stringTransaction currencyExample:USDcurrent_total_discounts_setobject
presentment_moneyobject
Currency informationamount stringAmountExample:8.00currency_code stringCurrency informationExample:USDshop_moneyobject
Sell side amountamount stringAmountExample:8.00currency_code stringCurrencyExample:USDorder_status_url stringOrder status page URLExample:https://shoptest.myshoplinestg.com/trade/thank_you?mainOrderMark=xxx&mainOrderSeq=200565776406008509payment_gateway_names arrayList of payment methods, list of payment methods used for this order, SLpayments, Paypal (PayPal payment), Oceanpay (Oceanpayment), TwoCheckout, AsiaBill, Stripe, Pacypay, WorldPay, COD (cash on delivery), CUSTOM (custom), adjustPay (funding adjustment), Xendit (xendit credit card), XenditOtherExample:["PayPal"]companyobject
Company infoid stringCompany idExample:1005619945158043247856location_id stringLocation idExample:3005619945158043247856tax_registration_id stringTax registration idExample:213213subtotal_price_setobject
Multi-currency information of total product price after discountpresentment_moneyobject
Buyer side amount informationamount stringAmountExample:8.00currency_code stringCurrencyExample:USDshop_moneyobject
Store side amount informationcurrency_code stringCurrencyExample:USDamount stringAmountExample:8.00tax_type stringTypes of tax IDExample:Typetaxes_included booleanDoes the total include tax?Example:truetotal_outstanding stringSum of unpaid amount, precision 2Example:Amountemail stringBuyer's mailbox, there must be one of the twoExample:test1001@Gmail.comcurrent_subtotal_price_setobject
Multi-currency information of the current commodity sum, the buyer's and seller's currency and the amount are the samepresentment_moneyobject
Buy side currencyamount stringAmountExample:8.00currency_code stringCurrencyExample:USDshop_moneyobject
Sell side amountamount stringAmount, Precision 2Example:8.00currency_code stringCurrency codeExample:USDcurrent_total_tax stringTotal tax, product tax + shipping taxExample:8.00deduct_member_point_amount_setobject
Current order membership credit to the amount , multi-currency informationpresentment_moneyobject
Buy side currencycurrency_code stringCurrencyExample:USDamount stringAmountExample:8.00shop_moneyobject
Sell side currencycurrency_code stringCurrencyExample:USDamount stringAmountExample:8.00shipping_addressobject
Shipping addressstandard_province_code stringThe code for the province in the shipping address, which is a two-digit ISO 3166-2 international code.This differs fromprovince_code- theprovince_coderesponse field uses a custom code.zip stringPostal codeExample:92503country stringCountryExample:USfirst_name stringFirst nameExample:Tomname stringFull nameExample:Tom Washingtonphone stringPhoneExample:13100000000province stringProvinceExample:Californiaaddress2 stringDetailed address 2, optionalExample:address2longitude stringlongitudeExample:31country_code stringCountry codeExample:USlatitude stringlatitudeExample:45address1 stringDetailed address 1Example:address1city stringCityExample:New Yorkcompany stringCompany NameExample:New companylast_name stringLast nameExample:Washingtonprovince_code stringProvince codeExample:4200006tags stringorder labelExample:Labeltax_linesobject[]
Tax informationprice stringTax amount , accuracy 2Example:8.00price_setobject
Multi-currency information of taxpresentment_moneyobject
Buyer side amount informationamount stringAmountExample:8.00currency_code stringCurrencyExample:USDshop_moneyobject
Sell side amount informationamount stringAmountExample:8.00currency_code stringCurrencyExample:USDrate doubleTax rateExample:1title stringTax nameExample:taxesbilling_addressobject
Billing address informationaddress1 stringDetailed address 1Example:address1address2 stringDetailed address 2, optionalExample:address2city stringCityExample:New Yorkcountry stringCountryExample:USfirst_name stringLast nameExample:Tomprovince stringProvinceExample:Californiaprovince_code stringProvince codeExample:4200006standard_province_code stringThe code for the province in the billing address, which is a two-digit ISO 3166-2 international code.This differs fromprovince_code- theprovince_coderesponse field uses a custom code.company stringCompany NameExample:New companycountry_code stringCountry codeExample:USlast_name stringFirst nameExample:Washingtonname stringFull nameExample:Tom Washingtonphone stringPhoneExample:12756431298zip stringPostal codeExample:51234cart_token stringshopping cart tokenExample:c2c4a58186b9d96395d7e6b5c2969577customer_locale stringBuyer country, language code + country name abbreviationExample:enCNtax_number stringTINExample:11111111checkout_token stringCheckout page tokenExample:2404785166526352972864current_total_discounts stringSum of discounts, precision 2, marketing offers + artificial discountsExample:8.00presentment_currency stringBuy side currency, same as sell side currencyExample:USDtotal_discounts stringTotal discount, marketing discount + artificial discountExample:8.00cancelled_at stringOrder cancellation time (end) (see IOS8601 for the format), 2012-05-01T14:22:25-04:00Example:2012-05-01T14:22:25-04:00discount_codesobject[]
Promo code informationamount stringDiscount amount, precision 2Example:8.00amount_setobject
Discount amount , multi-currency informationpresentment_moneyobject
Buy side currencycurrency_code stringCurrencyExample:USDamount stringAmountExample:8.00shop_moneyobject
Sell side currencyamount stringAmountExample:8.00currency_code stringCurrencyExample:USDcode stringPromo codeExample:1Q3UMQM8RBP5type stringType of discount, reduced amount; discount; free shipping; fixed price; the lowest price item is free; package price; the Nth item is discounted;Example:Reduction amountfulfillment_status stringThe shipping status of the product, shipping status, fulfilled-shipped; partial-partially shipped; null-unshipped;Example:fulfilledid stringOrder number, system-defined numberExample:21050224312121887324667162phone stringBuyer contact information, there must be one of the twoExample:12903001000store_id stringstore IDExample:1644828244663current_subtotal_price stringSum of current products, total price of products * quantityExample:8.00current_total_price stringThe total order amount, displayed in the store currency.Example:8.00deduct_member_point_amount stringCurrent order membership creditExample:8.00payment_detailsobject[]
Payment slip informationpay_amount doublePayment amountExample:8.23pay_channel_deal_id stringExternal channel payment serial numberExample:pi_3MI897Hezv8FxjBO1uGxMPhXstatus_code stringPayment status codeExample:RISK_PENDINGpay_seq stringPayment slip numberExample:23057287797738260472676128pay_status stringPayment order status, unpaid-unpaid; pending-paying; risking-risk control; paid-paid; paid_overtime-payment failed; paid_failed-payment failed;Example:unpaidprocessed_at stringPayment creation time , format : 2023-04-12T22 : 59 : 52+08 : 00Example:2023-04-12T22:59:52+08:00status_msg stringPayment order status code descriptionExample:PENDING_REVIEWcreate_time stringPayment slip create time ( format see IOS8601 )Example:2012-05-01T14:22:25-04:00order_seq stringOrder numberExample:23057287797738260472676128total_line_items_price_setobject
Sum of original price of goods, multi-currency informationpresentment_moneyobject
Buyer side amount informationamount stringAmountExample:8.00currency_code stringCurrencyExample:USDshop_moneyobject
Sell side amount informationamount stringAmountExample:8.00currency_code stringCurrencyExample:USDcancel_reason stringSeller's reason for cancellationExample:" don ' t want to buy "financial_status stringPayment status, unpaid, authorized, pending, partially_paid, paid, partially_refunded, refundedExample:"paid"note stringMerchant notesExample:Merchant notesrefundsobject[]
Refund listid stringRefund IDExample:2605659027312156877634note stringRefund NotesExample:Refund Notesorder_id stringOrder numberExample:21056577640603870897253153processed_at stringUpdate time (see IOS8601 for the format)Example:2012-05-01T14:22:25-04:00refund_line_itemsobject[]
Refund Detailstotal_tax doubleTax amount of refunded goods, precision 2Example:7total_tax_setobject
Total tax amount, multi-currency informationpresentment_moneyobject
Buyer side currency informationamount stringAmountExample:7.00currency_code stringCurrencyExample:USDshop_moneyobject
Seller side currency informationamount stringAmountExample:7.00currency_code stringCurrencyExample:USDline_itemobject
Refund Product linevariant_title stringCommodity attribute value, multiple divided by " / ", such as: "155 / red / large"Example:bigname stringSKU title, same as titleExample:test-002price stringCommodity price, precision 2Example:3.25requires_shipping booleanShipping or notsku stringProduct code, barCodeExample:18056761559987524812644011fulfillable_quantity integerAvailable quantityExample:1id stringThe ID of the product snapshot table, generated by the system, uniquely confirms a product with the order numberExample:403taxable booleanTax or not?tax_linesobject[]
Tax informationtitle stringTax nameExample:taxesprice stringTax, precision 2Example:8.00price_setobject
Multi-currency information of taxpresentment_moneyobject
Buyer side currency informationamount stringAmountExample:8.00currency_code stringCurrencyExample:USDshop_moneyobject
Seller side currency informationamount stringAmountExample:8.00currency_code stringCurrencyExample:USDrate doubleTax rateExample:1fulfillment_status stringThe shipping status of the product, shipping status, fulfilled-shipped; partial-partially shipped; null-unshipped;Example:fulfilledgrams doubleWeight ( grams )Example:100price_setobject
Product selling price , multi-currency informationpresentment_moneyobject
Buy side currencyamount stringAmountExample:8.00currency_code stringCurrencyExample:USDshop_moneyobject
Sell side currencyamount stringAmountExample:8.00currency_code stringCurrencyExample:USDproduct_id stringSPU serial numberExample:16056761559984840457934011vendor stringSupplierExample:Supplierfulfillment_service stringLogistics company nameExample:SF Internationalquantity integerQuantity of items in the orderExample:1title stringProduct titleExample:Nice looking skirtvariant_id stringProduct SKU serial numberExample:18056761559987524812644011line_item_id stringThe ID of the product snapshot table, generated by the system, uniquely confirms a product with the order numberExample:302quantity integerQuantity, quantity of goodsExample:1restock_type stringInventory return type, no_restock-not returned, cancel-cancelled, return-returned only not returnedExample:no_restocksubtotal doubleTotal refund amount, precision 2Example:8id stringRefund order numberExample:2605659027312156877634subtotal_setobject
Total refund amount, multi-currency information, same on seller and buyer sidepresentment_moneyobject
Buyer side currency informationcurrency_code stringCurrencyExample:USDamount stringAmountExample:3.25shop_moneyobject
Seller side currency informationamount stringAmountExample:3.25currency_code stringCurrencyExample:USDtransactionsobject[]
Refund transaction informationcreated_at stringCreation time (see IOS8601 for the format)Example:2012-05-01T14:22:25-04:00kind stringTransaction type (authorization, capture, sale, void, refund)Example:authorizationorder_id stringOrder numberExample:21056577640603870897253153status stringHandling status, pending, failure, success, and errorExample:pendingamount stringAmountExample:8.00currency stringCurrencyExample:USDid stringRefund IDExample:2605659027312156877634processed_at stringUpdate time (see IOS8601 for the format)Example:2012-05-01T14:22:25-04:00user_id stringBuyer IDExample:4201057495user_id stringUser IDExample:4201057495created_at stringRefund form creation time (see IOS8601 for the format)Example:2012-05-01T14:22:25-04:00total_weight doubleTotal product weight ( g )Example:100updated_at stringOrder update time ( format see IOS8601 )Example:2012-05-01T14:22:25-04:00total_tax_setobject
Total taxes and fees, multi-currency informationshop_moneyobject
Seller side currency informationcurrency_code stringAmountExample:USDamount stringCurrencyExample:8.00presentment_moneyobject
Buyer side currency informationamount stringAmountExample:8.00currency_code stringCurrencyExample:USDline_itemsobject[]
Order product snapshot informationvariant_title stringCommodity attribute value, multiple divided by " / ", such as: "155 / red / large"Example:biggift_card booleanIs it a gift card product?Example:trueproduct_id stringSPU serial numberExample:16056761559984840457934011sku stringProduct code, barCodeExample:18056761559987524812644011tax_linesobject[]
Tax informationprice stringTax, precision 2Example:8.00price_setobject
Multi-currency information of taxpresentment_moneyobject
Buyer side currency informationamount stringAmountExample:8.00currency_code stringCurrencyExample:USDshop_moneyobject
Seller side currency informationamount stringAmountExample:8.00currency_code stringCurrencyExample:USDrate doubleTax rateExample:1title stringTax nameExample:taxestype stringTax fee type, used to distinguish between commodity tax and freight tax. The enumeration value is as follows product_tax: commodity tax shipping_tax: freight taxExample:shipping_taxtitle stringProduct titleExample:Nice looking skirtdiscount_allocationsobject[]
Marketing discount details in multiple currenciesamount stringDiscount detailsExample:8.00amount_setobject
Discount details in multiple currenciespresentment_moneyobject
Payment currencyamount stringAmount, Precision 2Example:8.00currency_code stringCurrencyExample:USDshop_moneyobject
Store currencyamount stringAmount, Precision 2Example:8.00currency_code stringCurrencyExample:USDdiscount_application_index integerDiscount index information : marked in the position of the discount detailsExample:1grams doubleWeight ( grams )Example:100harmonized_system_code stringharmonized system codeExample:harmonized system codequantity integerQuantity of items in the orderExample:2vendor stringSupplierExample:Supplierdutiesobject[]
Duty informationharmonized_system_code stringCustoms codeid stringTariff numberpriceobject
Tariff multi-currency informationpresentment_moneyobject
Buyer side amount informationamount stringAmountExample:8.88currency_code stringCurrencyExample:USDshop_moneyobject
Sell side amount informationamount stringAmountExample:8.88currency_code stringCurrencyExample:USDtax_linesobject[]
Tax details listprice_setobject
Multi-currency information of taxpresentment_moneyobject
Buyer side amount informationamount stringAmountExample:8.88currency_code stringCurrencyExample:USDshop_moneyobject
Sell side amount informationamount stringAmountExample:8.88currency_code stringCurrencyExample:USDrate doubleTax raterate_percentage doubleTax rate (percentage value, i.e. rate * 100)title stringTax titlecountry_code_of_origin stringCountry code of origin/shipping pointfulfillment_service stringLogistics company nameExample:SF Internationalfulfillment_status stringThe shipping status of the product, shipping status, fulfilled-shipped; partial-partially shipped; null-unshipped;Example:Fulfilledid stringThe ID of the product snapshot table, generated by the system, uniquely confirms a product with the order numberExample:413location_id stringThe corresponding location of the store in the POS scenarioExample:5327026538935748524price stringCommodity price, precision 2Example:8.00taxable booleanTax or not?Example:truecountry_code_of_origin stringCountry of originExample:Country of originfulfillable_quantity integerAvailable quantityExample:2name stringSKU title, same as titleExample:Product nameprice_setobject
Product selling price , multi-currency informationpresentment_moneyobject
Buy side currencyamount stringAmountExample:8.00currency_code stringCurrencyExample:USDshop_moneyobject
Sell side currencyamount stringAmountExample:8.00currency_code stringCurrencyExample:USDrequires_shipping booleanShipping or notExample:truevariant_id stringProduct SKU serial numberExample:18056761559987524812644011note_attributesobject[]
Merchant note log, date contentcreate_time stringRemark creation time (see IOS8601 for the format)Example:2012-05-01T14:22:25-04:00name stringRemark source (seller ID)Example:Note sourcevalue stringNotesExample:Note sourcetotal_tax stringSum of taxes, precision 2, commodity tax + shipping taxExample:8.00total_tip_received stringTip, precision 2Example:8.00client_detailsobject
Client Detailsuser_agent stringClient ProxyExample:Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/106.0.0.0 Sabrowser_ip stringDetailed address 1Example:157.119.232.35session_hash stringsessionIdExample:90c6724a-cf0d-4517-bd61-5c2727c2f886order_source stringOrder sourceExample:posapp_id stringApp IDprocessed_user_id stringOrder creatorExample:4201057495subtotal_price stringTotal product price after discount, total product price - marketing discount - artificial discountExample:8.00total_line_items_price stringSum of original prices of goods, precision 2total_outstanding_setobject
The total amount of payment is total , multi-currency informationpresentment_moneyobject
Buyer side amount informationamount stringAmountExample:8.00currency_code stringCurrencyExample:USDshop_moneyobject
Sell side amount informationamount stringAmountExample:8.00currency_code stringCurrencyExample:USDtotal_shipping_price_setobject
Order shipping sum, multi-currency informationpresentment_moneyobject
Buyer side amount informationcurrency_code stringCurrencyExample:USDamount stringAmountExample:8.00shop_moneyobject
Sell side amount informationamount stringAmountExample:8.00currency_code stringCurrencyExample:USDbrowser_ip stringClient IPExample:157.119.232.35current_total_tax_setobject
Multi-currency information of the sum of taxes, the currency and amount of buyers and sellers are the samepresentment_moneyobject
Buy side currencyamount stringAmountExample:8.00currency_code stringCurrencyExample:USDshop_moneyobject
Sell side currencyamount stringAmountExample:8.00currency_code stringCurrencyExample:USDshipping_linesobject[]
Logistics informationdiscounted_price_setobject
Discount multi-currency amountspresentment_moneyobject
Buyer side amount informationamount stringAmount, Precision 2Example:8.00currency_code stringCurrencyExample:USDshop_moneyobject
Store side amount informationamount stringAmount, Precision 2Example:8.00currency_code stringCurrencyExample:USDprice stringLogistics freight, precision 2Example:8.00price_setobject
Logistics freight multi-resource informationpresentment_moneyobject
Buyer side amount informationamount stringAmountExample:8.00currency_code stringCurrencyExample:USDshop_moneyobject
Store side amount informationamount stringAmountExample:8.00currency_code stringCurrencyExample:USDshipping_price stringOriginal shipping value ( non-discounted amount )Example:8.00shipping_price_setobject
Original shipping value ( non-discounted amount ) , multi-currency informationpresentment_moneyobject
Buyer side amount informationcurrency_code stringCurrencyExample:USDamount stringAmountExample:8.00shop_moneyobject
Sell side amount informationamount stringAmountExample:8.00currency_code stringCurrencyExample:USDsource stringFreight sourceExample:SHOPLINEtax_linesobject[]
Logistics tax listprice_setobject
Multi-currency information of taxpresentment_moneyobject
Buyer side amount informationamount stringAmountExample:8.00currency_code stringCurrencyExample:USDshop_moneyobject
Store side amount informationamount stringAmountExample:8.00currency_code stringCurrencyExample:USDrate doubleTax rateExample:1title stringTax nameExample:taxesprice stringtaxesExample:8.00discount_allocationsobject[]
Discount detailsamount_setobject
Discount multi-currency amountspresentment_moneyobject
Buyer side amount informationamount stringAmount, Precision 2Example:8.00currency_code stringCurrencyExample:USDshop_moneyobject
Store side amount informationamount stringAmount, Precision 2Example:8.00currency_code stringCurrencyExample:USDdiscount_application_index integerDiscount index information : marked in the position of the discount detailsExample:1amount stringDiscount amount, precision 2Example:8.00discounted_price stringDiscount amount, precision 2Example:8.00requested_fulfillment_service_id stringTransportation service codeExample:LX88888title stringLogistics nameExample:SF Internationalcode stringLogistics numberExample:SF123332435364total_tip_received_setobject
Tip , multi-currency messagepresentment_moneyobject
Buyer side currency informationamount stringAmountExample:8.00currency_code stringCurrencyExample:USDshop_moneyobject
Seller side currency informationamount stringAmountExample:8.00currency_code stringCurrencyExample:USDcreated_at stringOrder creation time (see IOS8601 for the format)Example:2012-05-01T14:22:25-04:00current_total_price_setobject
The total order amount, displayed in both the buyer currency and the store currency.shop_moneyobject
The order price information recorded by the merchant.amount stringThe total order amount. The value is rounded to two decimal places.Example:8.00presentment_moneyobject
The order price information presented to the buyer.amount stringThe total order amount. The value is rounded to two decimal places.Example:8.00customerobject
Buyer informationlast_name stringLast nameExample:Washingtonphone stringUser mobile phone numberExample:12345678931area_code stringPhone area codeExample:+86created_at stringBuyer creation time (see IOS8601 for the format)Example:2012-05-01T14:22:25-04:00currency stringCurrencyExample:USDfirst_name stringFirst nameExample:Tomupdated_at stringBuyer update timeExample:2012-05-01T14:22:25-04:00addressesobject
Buyer address informationaddress1 stringDetailed address 1Example:address1address2 stringDetailed address 2, optionalExample:address2city stringCityExample:New Yorkcountry stringCountryExample:UScountry_code stringCountry codeExample:USlast_name stringFirst nameExample:Washingtonname stringFull nameExample:Tom Washingtonphone stringPhoneExample:12345678931first_name stringLast nameExample:Tomprovince stringProvinceExample:Californiaprovince_code stringProvince codeExample:4200006zip stringPostal codeExample:54123email stringUser mailboxExample:test1001@Gmail.comid stringUser IDExample:4201057495name stringCustom order numberExample:test1001processed_at stringProcessed_at time , format : 2023-04-12T22 : 59 : 52+08 : 00Example:2023-04-12T22:59:52+08:00total_discounts_setobject
Multi-currency information of discount totalshop_moneyobject
Sell side amount informationamount stringAmountExample:8.00currency_code stringCurrencyExample:USDpresentment_moneyobject
Buyer side amount informationamount stringAmountExample:8.00currency_code stringCurrencyExample:USDcurrent_total_duties_setobject
Current Product total dutypresentment_moneyobject
Buyer side amount informationamount stringAmountExample:8.88currency_code stringCurrencyExample:USDshop_moneyobject
Sell side amount informationamount stringAmountExample:8.88currency_code stringCurrencyExample:USDdiscount_applicationsobject[]
All discount information for this order applicationtarget_type stringDiscount application for event object 1 ) line_item 2 ) shipping_lineExample:line_itemvalue stringDiscount value for eventExample:20target_selection stringDiscount application for event specific object 1 ) explicit ( discount distribution to clear selected Product or shipping ) 2 ) all ( discount distribution to all Product or shipping ) 3 ) ENTITLED ( discount only distribution to its right to the shipping line ) 3 ) ENTITLED ( discount only to the shipping line of theExample:explicittitle stringSpecific description of the eventExample:Descriptiontype stringEvent discount type 1 ) manual 2 ) automatic ( auto discount type ) 3 ) discount_code ( discount code type )Example:manualvalue_type stringActivity discount value type , containing percentage and fixed amount two typesExample:fixed_amountallocation_method stringDiscount application range 1 ) across ( the value is distributed in all authorized lines ) 2 ) the echo ( the value is applied to each authorized line )Example:acrosscode stringSpecific description of the eventExample:1Q3UMQM8RBP5description stringSpecific description of the eventExample:Descriptionfulfillmentsobject[]
Package informationid stringPackage numberExample:22046737798141702810214336line_itemsobject[]
Product listrequires_shipping booleanShipping or notExample:truefulfillable_quantity integerAvailable quantityExample:2fulfillment_status stringThe shipping status of the product, shipping status, fulfilled-shipped; partial-partially shipped; null-unshipped;Example:fulfilledprice stringCommodity price, precision 2Example:8.00quantity integerQuantity of items in the orderExample:2title stringProduct nameExample:Nice looking skirtid stringThe ID of the product snapshot table, generated by the system, uniquely confirms a product with the order numberExample:231variant_title stringCommodity attribute value, multiple divided by " / ", such as: "155 / red / large"Example:bigvendor stringSupplierExample:Suppliersku stringProduct code, barCodeExample:18056761559987524812644011grams doubleWeight ( grams )Example:100name stringSKU title, same as titleExample:Product nameprice_setobject
Product selling price , multi-currency informationshop_moneyobject
Sell side currencyamount stringAmountExample:8.00currency_code stringCurrencyExample:USDpresentment_moneyobject
Buy side currencyamount stringAmountExample:8.00currency_code stringCurrencyExample:USDproduct_id stringSPU serial numberExample:16056761559984840457934011fulfillment_service stringLogistics company nameExample:SF Internationaltax_linesobject[]
Tax informationprice stringTax, precision 2Example:8.00price_setobject
Multi-currency information of taxpresentment_moneyobject
Currency informationamount stringDescription amountExample:8.00currency_code stringCurrencyExample:USDshop_moneyobject
Sell side amount informationamount stringAmountExample:8.00currency_code stringCurrencyExample:USDrate doubleTax rateExample:1title stringTax nameExample:taxestaxable booleanTax or not?Example:truevariant_id stringProduct SKU serial numberExample:18056761559987524812644011shipment_status stringPackage trackingExample:fulfilledstatus stringLogistics delivery status, success-shipped; cancelled-cancelled;Example:successtracking_company stringLogistics company nameExample:SF Internationalupdated_at stringUpdate time (see IOS8601 for the format)Example:2012-05-01T14:22:25-04:00created_at stringCreation time (see IOS8601 for the format)Example:2012-05-01T14:22:25-04:00order_id stringOrder numberExample:21056577640603870897253153tracking_info_listobject[]
If this parameter is specified, the individual parameters tracking_url, tracking_number, and tracking_company will be ignored.Maximum of 10 tracking infos allowed.tracking_number stringThe logistics service provider.tracking_url stringThe tracking number.tracking_company stringThe URL for tracking the package.tracking_number stringThird party tracking numberExample:SF10122233322222tracking_url stringLogistics company URLExample:https://www.sf-international.com/user_id stringBuyer IDExample:4201057495
API Explorer
Debugger
Was this article helpful to you?